2642018 - ERROR: "This kernel version may run with SAP_BASIS version 702 in preput scenarios only" during dual-stack system upgrade | SAP Knowledge Base Article

SAP Knowledge Base Article - Preview

2642018 - ERROR: "This kernel version may run with SAP_BASIS version 702 in preput scenarios only" during dual-stack system upgrade

Symptom

You are upgrading a dual stack system (such as Solution Manager 7.1 to 7.2) and selected the manually prepared upgrade directory option in SUM (Software Update Manager), and you encounter an error in the JAVA stack side of the upgrade during the execution phase START-AS-JAVA:

In the TroubleTicket_<xx>.txt, you see the following:

ABAP stack present.: true
SUM Java scenario..: MANUAL_UPDATE
...
Could not start SAP instance with number <instance number>.
For more information, see the log file E:\SUM\sdt\log\SUM\START-AS-JAVA_<xx>.LOG.


In the START-AS-JAVA_<xx>.LOG, you see that the command to start the instance was performed. A WaitforStarted command is the last command to run, and finishes with exit code 2:

<Timestamp> [Error ]: The following problem has occurred during step execution: com.sap.sdt.util.diag.DiagException: Could not start SAP instance with number <instance number>.
Could not check if the instance number <instance number> on host <host> is started.


In the SAPCONTROL_WAITFORSTARTED_<instance number>_<xx>.OUT log, the following is shown:

FAIL: process disp+work.EXE Dispatcher not running


In the work logs dev_w*, you can see the following error message:

*** ERROR => ab_init: This kernel version may run with SAP_BASIS version 702 in preput scenarios only! [abinit.c     698]


Also, the ABAP log SAPupConsole.log, you can see that the ABAP side is still in MOD_SELROADMAP/READ_SHAREDINPUT phase.


Read more...

Environment

  • Dual stack systems
  • Switch-based upgrades

Product

SAP Solution Manager 7.1 ; SAP Solution Manager 7.2

Keywords

ERROR-CORE-INTERNAL_ERROR, action STOP_WP, level 1 , KBA , BC-UPG-TLS-TLJ , Upgrade tools for Java , BC-UPG-TLS-TLA , Upgrade tools for ABAP , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.